unit uRedefineKeys;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms, 
  QDialogs, QStdCtrls, QExtCtrls, uMolGameSetup;

type
  TfrmRedefineKeys = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Image1: TImage;
    edtUpLeft: TEdit;
    Label2: TLabel;
    Image2: TImage;
    edtDownRight: TEdit;
    Label3: TLabel;
    Image3: TImage;
    edtUpRight: TEdit;
    Label4: TLabel;
    Image4: TImage;
    edtDownLeft: TEdit;
    GroupBox2: TGroupBox;
    Label5: TLabel;
    edtBuy: TEdit;
    Label6: TLabel;
    edtGet: TEdit;
    Label7: TLabel;
    edtBomb: TEdit;
    Label8: TLabel;
    edtPause: TEdit;
    Label9: TLabel;
    edtAbort: TEdit;
    btnOk: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure btnOkClick(Sender: TObject);
  private
    { Private declarations }
    fGameSetup : TGameSetup;
  public
    { Public declarations }
    property GameSetup : TGameSetup Read fGameSetup Write fGameSetup;
    procedure Initialise;
  end;

var
  frmRedefineKeys: TfrmRedefineKeys;

implementation

{$R *.xfm}

procedure tFrmRedefineKeys.Initialise;
Begin
  if fGameSetup=NIL Then exit;

  // set the editboxes to show the keys used
  edtUpLeft.Text := fGameSetup.UpLeftKey;
  edtUpRight.Text := fGameSetup.UpRightKey;
  edtDownRight.Text := fGameSetup.DownRightKey;
  edtDownLeft.Text := fGameSetup.DownLeftKey;
  edtBomb.Text := fGameSetup.BombKey;
  edtBuy.Text := fGameSetup.BuyKey;
  edtGet.Text := fGameSetup.GetKey;
  edtAbort.Text := fGameSetup.AbortKey;
  edtPause.Text := fGameSetup.PauseKey;
End;
         
procedure TfrmRedefineKeys.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmRedefineKeys.btnOkClick(Sender: TObject);
begin
  // store the new key definitions
  fGameSetup.UpLeftKey   := Char(edtUpLeft.Text[1]);    
  fGameSetup.UpRightKey  := Char(edtUpRight.Text[1]);   
  fGameSetup.DownRightKey:= Char(edtDownRight.Text[1]); 
  fGameSetup.DownLeftKey := Char(edtDownLeft.Text[1]);  
  fGameSetup.BombKey     := Char(edtBomb.Text[1]);    
  fGameSetup.BuyKey      := Char(edtBuy.Text[1]);    
  fGameSetup.GetKey      := Char(edtGet.Text[1]);    
  fGameSetup.AbortKey    := Char(edtAbort.Text[1]);    
  fGameSetup.PauseKey    := Char(edtPause.Text[1]);   
  fGameSetup.SaveKeys(ExtractFilePath (Application.ExeName)+'molman.ini');
  Close; 
end;

end.

